package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_message的实体类
 站内消息表
 */
@ApiModel(value = "站内消息")
public class Message {
	private String id;
	private String title;
	private String content;
	private String senderId;
	private String recipientId;
	private Boolean status;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;

		/**
	 *获取ID
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置ID
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取标题
	 */
	public String getTitle(){
		return title;
	}
	
	/**
	 *设置标题
	 */
	public void setTitle(String title){
		this.title = title;
	}
		/**
	 *获取内容
	 */
	public String getContent(){
		return content;
	}
	
	/**
	 *设置内容
	 */
	public void setContent(String content){
		this.content = content;
	}
		/**
	 *获取发件人ID
	 */
	public String getSenderId(){
		return senderId;
	}
	
	/**
	 *设置发件人ID
	 */
	public void setSenderId(String senderId){
		this.senderId = senderId;
	}
		/**
	 *获取收件人ID
	 */
	public String getRecipientId(){
		return recipientId;
	}
	
	/**
	 *设置收件人ID
	 */
	public void setRecipientId(String recipientId){
		this.recipientId = recipientId;
	}
		/**
	 *获取状态(未读/已读)
	 */
	public Boolean getStatus(){
		return status;
	}
	
	/**
	 *设置状态(未读/已读)
	 */
	public void setStatus(Boolean status){
		this.status = status;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "更新时间")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
}