package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_transaction_record的实体类
 企业账户流水表
 */
@ApiModel(value = "企业账户流水信息")
public class TransactionRecord {
	private String id;
	private String companyId;
	private String transactionNumber;
	private BigDecimal amount;
	private String orderNo;
	private String paymentStatus;
	private String buyType;
	private Date paymentTime;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;

		/**
	 *获取ID
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置ID
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取企业ID
	 */
	public String getCompanyId(){
		return companyId;
	}
	
	/**
	 *设置企业ID
	 */
	public void setCompanyId(String companyId){
		this.companyId = companyId;
	}
		/**
	 *获取交易号
	 */
	public String getTransactionNumber(){
		return transactionNumber;
	}
	
	/**
	 *设置交易号
	 */
	public void setTransactionNumber(String transactionNumber){
		this.transactionNumber = transactionNumber;
	}
		/**
	 *获取交易金额
	 */
	public BigDecimal getAmount(){
		return amount;
	}
	
	/**
	 *设置交易金额
	 */
	public void setAmount(BigDecimal amount){
		this.amount = amount;
	}
		/**
	 *获取订单号
	 */
	public String getOrderNo(){
		return orderNo;
	}
	
	/**
	 *设置订单号
	 */
	public void setOrderNo(String orderNo){
		this.orderNo = orderNo;
	}
		/**
	 *获取支付状态
	 */
	public String getPaymentStatus(){
		return paymentStatus;
	}
	
	/**
	 *设置支付状态
	 */
	public void setPaymentStatus(String paymentStatus){
		this.paymentStatus = paymentStatus;
	}
		/**
	 *获取支付类型
	 */
	public String getBuyType(){
		return buyType;
	}
	
	/**
	 *设置支付类型
	 */
	public void setBuyType(String buyType){
		this.buyType = buyType;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "支付时间")
		/**
	 *获取支付时间
	 */
	public Date getPaymentTime(){
		return paymentTime;
	}
	
	/**
	 *设置支付时间
	 */
	public void setPaymentTime(Date paymentTime){
		this.paymentTime = paymentTime;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "更新时间")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
}