package com.jpsoft.picc.modules.business.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:business_insurance_policy的实体类
 每月投保单
 */
@ApiModel(value = "每月投保单")
public class InsurancePolicy {
	private String id;
	private String status;
	private String processStatus;
	private BigDecimal insuranceFee;
	private Date startTime;
	private Date endTime;
	private Integer number;
	private String accountBank;
	private String issuingBank;
	private String singlNumber;
	private Date transferTime;
	private String agentId;
	private String insurancePolicyFile;
	private Integer no;
	private Boolean delFlag;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;

		/**
	 *获取编号
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置编号
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取状态:待制单50/待出单60/已出单70
	 */
	public String getStatus(){
		return status;
	}
	
	/**
	 *设置状态:待制单50/待出单60/已出单70
	 */
	public void setStatus(String status){
		this.status = status;
	}
		/**
	 *获取流程审核状态:正常/回退等
	 */
	public String getProcessStatus(){
		return processStatus;
	}
	
	/**
	 *设置流程审核状态:正常/回退等
	 */
	public void setProcessStatus(String processStatus){
		this.processStatus = processStatus;
	}
		/**
	 *获取保险费合计(总金额)
	 */
	public BigDecimal getInsuranceFee(){
		return insuranceFee;
	}
	
	/**
	 *设置保险费合计(总金额)
	 */
	public void setInsuranceFee(BigDecimal insuranceFee){
		this.insuranceFee = insuranceFee;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "开始时间")
		/**
	 *获取开始时间
	 */
	public Date getStartTime(){
		return startTime;
	}
	
	/**
	 *设置开始时间
	 */
	public void setStartTime(Date startTime){
		this.startTime = startTime;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "结束时间")
		/**
	 *获取结束时间
	 */
	public Date getEndTime(){
		return endTime;
	}
	
	/**
	 *设置结束时间
	 */
	public void setEndTime(Date endTime){
		this.endTime = endTime;
	}
		/**
	 *获取人数
	 */
	public Integer getNumber(){
		return number;
	}
	
	/**
	 *设置人数
	 */
	public void setNumber(Integer number){
		this.number = number;
	}
		/**
	 *获取入账银行
	 */
	public String getAccountBank(){
		return accountBank;
	}
	
	/**
	 *设置入账银行
	 */
	public void setAccountBank(String accountBank){
		this.accountBank = accountBank;
	}
		/**
	 *获取出账银行
	 */
	public String getIssuingBank(){
		return issuingBank;
	}
	
	/**
	 *设置出账银行
	 */
	public void setIssuingBank(String issuingBank){
		this.issuingBank = issuingBank;
	}
		/**
	 *获取单号
	 */
	public String getSinglNumber(){
		return singlNumber;
	}
	
	/**
	 *设置单号
	 */
	public void setSinglNumber(String singlNumber){
		this.singlNumber = singlNumber;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "转账时间")
		/**
	 *获取转账时间
	 */
	public Date getTransferTime(){
		return transferTime;
	}
	
	/**
	 *设置转账时间
	 */
	public void setTransferTime(Date transferTime){
		this.transferTime = transferTime;
	}
		/**
	 *获取保险代理人
	 */
	public String getAgentId(){
		return agentId;
	}
	
	/**
	 *设置保险代理人
	 */
	public void setAgentId(String agentId){
		this.agentId = agentId;
	}
		/**
	 *获取投保单附件
	 */
	public String getInsurancePolicyFile(){
		return insurancePolicyFile;
	}
	
	/**
	 *设置投保单附件
	 */
	public void setInsurancePolicyFile(String insurancePolicyFile){
		this.insurancePolicyFile = insurancePolicyFile;
	}
		/**
	 *获取当前第几份
	 */
	public Integer getNo(){
		return no;
	}
	
	/**
	 *设置当前第几份
	 */
	public void setNo(Integer no){
		this.no = no;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取修改人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置修改人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "修改时间")
		/**
	 *获取修改时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置修改时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
}